#ifndef CHECK_H
#define CHECK_H

#ifdef __cplusplus
extern "C" {
#endif

// 在评测模式下检查性能，参数包括数据缓冲区、计算得到的性能指标及一个盐值
void checkPerformance(float* buf, float performance, int salt);

// 在非评测模式下检查数值准确性，参数包括数据缓冲区和物体数目
void checkAccuracy(float* buf, int nBodies);

#ifdef __cplusplus
}
#endif

#endif // CHECK_H
